Bug 65865 - CUPS can't work for Japanese.
Summary: CUPS can't work for Japanese.
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: cups   
(Show other bugs)
Version: 7.3
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: wdovlrrw
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-06-03 10:37 UTC by Akira TAGOH
Modified: 2008-05-01 15:38 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-06-06 04:32:31 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
EUC-JP test file (21 bytes, text/plain)
2002-06-03 10:38 UTC, Akira TAGOH
no flags Details
JIS text file (24 bytes, text/plain)
2002-06-03 10:39 UTC, Akira TAGOH
no flags Details
Shift_JIS text file (19 bytes, text/plain)
2002-06-03 10:39 UTC, Akira TAGOH
no flags Details

Description Akira TAGOH 2002-06-03 10:37:49 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020513

Description of problem:
When I print Japanese plain text file out with CUPS, broken characters is print
out. but Japanese PS file is ok without whether uses embedded font or not. it
means font selection is bad, I think. as far as I see that paper was printed
out, it seems that Courier font is used. Japanese text can't be shown with
Courier font. we need to use GothicBBB-Medium or Ryumin-Light.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.lpr <attached file>
2.
3.
	

Actual Results:  Broken characters is printed out.

Expected Results:  Japanese characters is printed out correctly.

Additional info:

Milan also has the same result.

Comment 1 Akira TAGOH 2002-06-03 10:38:25 UTC
Created attachment 59346 [details]
EUC-JP test file

Comment 2 Akira TAGOH 2002-06-03 10:39:22 UTC
Created attachment 59347 [details]
JIS text file

Comment 3 Akira TAGOH 2002-06-03 10:39:58 UTC
Created attachment 59348 [details]
Shift_JIS text file

Comment 4 Leon Ho 2002-08-27 03:10:58 UTC
Deferring it to next release


Note You need to log in before you can comment on or make changes to this bug.